EC_NODE_SH_LEX_EXPAND(3)

NAME
ec_node_sh_lex_expand - Create a shell lexer node with variable expansion.

SYNOPSIS
#include <ecoli/node_sh_lex.h>

struct ec_node * ec_node_sh_lex_expand(
    const char       *id,     /* The node identifier. */
    /*
     * The child node. It is consumed and will be freed when the parent is
     * freed, or immediately on error.
     */
    struct ec_node   *child
);

DESCRIPTION

Same as ec_node_sh_lex() but with shell variable expansion enabled.

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_sh_lex(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.